<?

// получаем
function get_point_id_by_zone_and_access_type($zone_id,$access_type)
{   if (!$access_type) $access_type=0 ;
    //$rec_route=execSQL_van('select * from car_routers where pkey="'.$rec_request['route_id'].'"',2) ;
    //$route_points=execSQL('select * from car_routers_points where parent='.$rec_route['pkey'],2) ;
	//$point_parent_ids=DB_MYSQL('srv_skd')->execSQL_line('select distinct(parent) from obj_site_skd where pkey in ('.implode(',',$route_points).')') ;
	//print_r($point_parent_ids);
	// пока прибиваем гвоздями
	// из СКД прилетает
	// name	СКРУ-2 КПП-2 Ш/Б Въезд
	// adres	Соликамск / СКРУ-2 / КПП-2
	// zone_id	1324
	// dev_id	1325
	// необходимо связать "Соликамск / СКРУ-2 / КПП-2 / ШБ Въезд" на СКД с "Соликамск / СКРУ-2 / Въезд" на Руда
	// или любую из весовых "Соликамск / СКРУ-2 / Весовая" с "Соликамск / СКРУ-2 / Весовая"
	// для поиска используем  первую родительскую зону с полем "use_to_tmc_car",
	// далее для ШБ ищем в нем точку маршрута соответственно "въезд" или "выезд"
	// для Весов ещим ищем в нем точку маршрута "весовая"

	$arr_zones=array() ;
	// СКРУ-1 Въезд
	$arr_zones[557][0]=1507 ;  // КПП1
	$arr_zones[578][0]=1507 ;  // КПП1
	$arr_zones[579][0]=1507 ;  // КПП2
	$arr_zones[581][0]=1507 ;  // БИС-2
	$arr_zones[1329][0]=1507 ;  // СОФ
	$arr_zones[1330][0]=1507 ;  // ЦОГР
	$arr_zones[1507][0]=1507 ;  // 557

	// СКРУ-1 Выезд
	$arr_zones[557][1]=1508 ;    // КПП1
	$arr_zones[578][1]=1508 ;    // КПП1
	$arr_zones[579][1]=1508 ;    // КПП2
	$arr_zones[581][1]=1508 ;    // БИС-2
	$arr_zones[1329][1]=1508 ;  // СОФ
	$arr_zones[1330][1]=1508 ;  // ЦОГР
	$arr_zones[1508][1]=1508 ;  // ЦОГР

	// СКРУ-2 Въезд
	$arr_zones[558][0]=1510 ;  // КПП2
	$arr_zones[1324][0]=1510 ;  // КПП2
	$arr_zones[1318][0]=1510 ;  // КПП4
	$arr_zones[585][0]=1510 ;  // КПП6
	$arr_zones[1510][0]=1510 ;  // КПП6

	// СКРУ-2 Выезд
	$arr_zones[558][1]=1511 ;  // КПП2
	$arr_zones[1324][1]=1511 ;  // КПП2
	$arr_zones[1318][1]=1511 ;  // КПП4
	$arr_zones[585][1]=1511;  // КПП6
	//$arr_zones[1511][1]=1511;  // КПП6

	// СКРУ-2 Весовая
	$arr_zones[1509][0]=1509 ;  // Весовая

	// СКРУ-3 Въезд
	$arr_zones[586][0]=1513 ;  // КПП2
	$arr_zones[559][0]=1513 ;  // КПП2
	$arr_zones[1513][0]=1513 ;  // КПП2
	$arr_zones[1505][0]=1513 ;  // КПП8

	// СКРУ-3 Выезд
	$arr_zones[586][1]=1514 ;  // КПП2
	$arr_zones[559][1]=1514 ;  // КПП2
	//$arr_zones[1514][1]=1514 ;  // КПП2
	$arr_zones[1505][1]=1514 ;  // КПП8

	// СКРУ-3 Весовая
	//$arr_zones[1512][0]=1512 ;  // КПП2

	// БКПРУ-3 Въезд
	//$arr_zones[569][0]=1504 ;  // КПП1



	// БКПРУ-4 Въезд
	$arr_zones[555][0]=1504 ;  // КПП1
	$arr_zones[570][0]=1504 ;  // КПП1        БКПРУ-4 КПП1 (СКД) =  БКПРУ-4 Въезд (Руда)
	$arr_zones[571][0]=1504 ;  // КПП2
	//$arr_zones[1504][0]=1504 ;  // КПП2

	// БКПРУ-4 Выезд
	$arr_zones[555][1]=1505 ;  // КПП1
	$arr_zones[570][1]=1505 ;  // КПП1
	$arr_zones[571][1]=1505 ;  // КПП2
	//$arr_zones[1505][1]=1505 ;  // КПП2       - БКПРУ-4 Выезд

	// БКПРУ-4 Весовая - тут двое весов
	//$arr_zones[1502][0]=1502 ;  // КПП1
	//$arr_zones[1521][0]=1521 ;  // КПП1

	// весовые
	//$arr_zones[777][0]=1509 ;  // КПП1

	$point_id=$arr_zones[$zone_id][$access_type] ;
	//if (!$point_id) echo '<div class="red">Не удалось определить точку маршрута для '.$zone_id.'/'.$access_type.'</div>' ;
	return($point_id) ;
}

// возвращает ID маршрута на основе данных пропуска
function get_route_id_by_pass($data)
{
	$route_id=0 ;
       if (isset($data['PDP'][558]) and isset($data['PDP'][557])) $route_id=17 ; // маршрут 1
       if (isset($data['PDP'][558]) and isset($data['PDP'][555])) $route_id=18 ; // маршрут 2
       if (isset($data['PDP'][558]) and isset($data['PDP'][559])) $route_id=19 ; // маршрут 3
	return($route_id) ;
}

function get_route_from_to($roite_id)
{    $from=0 ; $to=0 ;
     if ($roite_id==17) { $from='СКРУ1' ; $to='СКРУ2' ; }
     if ($roite_id==18) { $from='БКПРУ-4' ; $to='СКРУ2' ; }
     if ($roite_id==19) { $from='СКРУ3' ; $to='СКРУ2' ; }
     return(array($from,$to)) ;
}

function get_weighter_ip_by_terminal_id($terminal_id)
{ $ip='' ;
  switch($terminal_id)
  { case 5004: $ip='10.202.7.239:8087' ; break ;
    case 5007: $ip='10.202.7.239:8087' ; break ;
    case 5005: $ip='10.72.4.11:8087' ; break ;
    case 5021: $ip='10.72.4.11:8087' ; break ;
    case 5010: $ip='10.203.13.46:8080' ; break ;
    case 5011: $ip='10.72.4.14:80' ; break ;
    case 5020: $ip='10.72.4.14:80' ; break ;
  }
  return($ip) ;

}

function get_terminal_id_by_weighter_ip($ip)
{ $id='' ;
  switch($ip)
  { case '10.202.7.239': $id=5004 ; break ;
    case '10.72.4.11':   $id=5005 ; break ;
    case '10.203.13.46': $id=5010 ; break ;
    case '10.72.4.14':   $id=5011 ; break ;
  }
  return($id) ;

}



function get_weighter_options_by_terminal_id($terminal_id)
{ $options=array() ;
  switch($terminal_id)
  { case 5004: $options=array('auto_mode'=>1) ; break ;
    case 5007: $options=array('auto_mode'=>1) ; break ;
    case 5010: $options=array('auto_mode'=>1,'content_type'=>'json') ; break ;
    case 5011: $options=array('auto_mode'=>0,'content_type'=>'json','JSON_UNESCAPED_UNICODE'=>1) ; break ;  // автоматический режим не готов
    case 5020: $options=array('auto_mode'=>1,'content_type'=>'json','JSON_UNESCAPED_UNICODE'=>1) ; break ;
  }
  return($options) ;

}

function get_weighter_URL_by_terminal_id($terminal_id)
{ $url='' ;
  switch($terminal_id)
  { case 5004: $url='/services/set_weighting' ; break ;
    case 5007: $url='/services/set_weighting' ; break ;
    case 5005: $url='/services/set_weighting' ; break ;
    case 5021: $url='/services/set_weighting' ; break ;
    case 5010: $url='/ARM/weighing' ; break ;
    case 5011: $url='/car_data/' ; break ;
    case 5020: $url='/car_data/' ; break ;
  }
  return($url) ;

}

// возващаем ID точки маршрута в зонах доступа для терминала ЭСМО РУДА
function get_point_id_id_by_terminal_id($terminal_id)
{ $zone_id=0 ;
  switch($terminal_id)
  { case 5004: $zone_id=1509 ; break ;   // СКРУ-2 Весовая
    case 5007: $zone_id=1526 ; break ;   // СКРУ-2 Весовая
    case 5010: $zone_id=1512 ; break ;   // СКРУ-3 Весовая
	case 5005: $zone_id=1502 ; break ;   // БКПРУ-4 Весовая АСИ
    case 5011: $zone_id=1521 ; break ;   // БКПРУ-4 Весовая Авитек
    case 5020: $zone_id=1524 ; break ;   // БКПРУ-4 Весовая АСИ
    case 5021: $zone_id=1525 ; break ;   // БКПРУ-4 Весовая АСИ
  }
  return($zone_id) ;

}



?>